<template>
  <StoreGrid v-loading="loading">
    <Store types="addItem" @click.native="$emit('addNewItem', 'wallpaper')" />
    <Store v-for="item in store" :key="item.id" :data="item" />
  </StoreGrid>
</template>

<script lang="ts">
import { defineComponent, reactive, ref } from '@nuxtjs/composition-api'
import { useStoreSubscription } from '~/sdk/hooks'
import { StoreFragment } from '~/sdk/types'
import { AppEvents } from '~/types'

import Store from '@/components/ui/Store.vue'
import StoreGrid from '@/components/ui/StoreGrid.vue'
export default defineComponent({
  name: 'StoreEventsPage',
  components: {
    Store,
    StoreGrid
  },
  head: {},
  setup(_, { root }) {
    const { onResult, loading } = useStoreSubscription({
      userId: root.$accessor.auth.userId as string,
      type: { _eq: 'WALLPAPER' as any },
      limit: 20000,
      offset: 0
    })

    const store = ref<StoreFragment[]>([])

    onResult(result => {
      if (result?.data?.store) {
        store.value = result.data.store
      }
    })

    return { store, loading }
  }
})
</script>

<style lang="scss" scoped></style>
